summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
Diffstat (limited to 'test')
-rwxr-xr-xtest/runtest.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/test/runtest.sh b/test/runtest.sh
index 243729d..708f84a 100755
--- a/test/runtest.sh
+++ b/test/runtest.sh
@@ -73,8 +73,11 @@ done
echo "Tests:${SVGTESTTOTC} Pass:${SVGTESTPASSC} Fail:${SVGTESTFAILC} Error:${SVGTESTERRC}"
# exit code
-if [ "${SVGTESTERRC}" -gt 0 ]; then
+if [ "${SVGTESTFAILC}" -gt 0 ]; then
exit 1
fi
+if [ "${SVGTESTERRC}" -gt 0 ]; then
+ exit 2
+fi
exit 0